Subject: Re: [PATCH v6 5/5] builtin/stash: provide a way to import stashes from a ref

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 May 2025 14:15:20 -0700

"brian m. carlson" <[email-masked]> writes:

> Now that we have a way to export stashes to a ref, let's provide a way
> to import them from such a ref back to the stash.  This works much the
> way the export code does, except that we strip off the first parent
> chain commit and then store each resulting commit back to the stash.
>
> We don't clear the stash first and instead add the specified stashes to
> the top of the stash.  This is because users may want to export just a
> few stashes, such as to share a small amount of work in progress with a
> colleague, and it would be undesirable for the receiving user to lose
> all of their data.  For users who do want to replace the stash, it's
> easy to do to: simply run "git stash clear" first.
>
> We specifically rely on the fact that we'll produce identical stash
> commits on both sides in our tests.  This provides a cheap,
> straightforward check for our tests and also makes it easy for users to
> see if they already have the same data in both repositories.
>
> Signed-off-by: brian m. carlson <[email-masked]>
> ---
> I'll need Phillip's sign-off for this patch.

Let's Cc'em, then.

Ahh, it occurs to me that your pwodd may be a typo of that address?